> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Events

> Retrieve a list of Webhook Events with pagination support. Use query parameters `startingAfter` and `limit` to navigate results.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/notifications/webhooks/events
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/notifications/webhooks/events:
    get:
      tags:
        - Webhooks
      summary: Get Webhook Events
      description: >-
        Retrieve a list of Webhook Events with pagination support. Use query
        parameters `startingAfter` and `limit` to navigate results.
      operationId: EventsController_getEvents
      parameters:
        - name: startingAfter
          required: false
          in: query
          description: Id used to retrieve results that come after the specified item.
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Response page limit. Min 1, Max 100, Default value is 10.
          schema:
            type: number
      responses:
        '200':
          description: List of Webhook Events and `hasMore` flag.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/2ba997d159c5ca5819ed4'
      security:
        - bearer: []
components:
  schemas:
    2ba997d159c5ca5819ed4:
      type: object
      properties:
        hasMore:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/WebhookEventEntity'
      required:
        - hasMore
        - data
    WebhookEventEntity:
      type: object
      properties:
        id:
          type: string
        payload:
          type: object
        status:
          allOf:
            - $ref: '#/components/schemas/WebhookEventsStatus'
        failureReason:
          type: string
          nullable: true
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - payload
        - status
        - failureReason
        - createdAt
    WebhookEventsStatus:
      type: string
      enum:
        - Pending
        - Retry
        - Failed
        - Completed
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````